﻿a {
    /* font-size: 14px;
	color: #4A4A4A; */
    color: #1279C0;
	text-decoration: none; 
}

a:not(.dx):hover { /* 不要影响DevExpress的a */
	/*color: #AE1A49;*/
    text-shadow: 0 0 3px lightgrey;
	color: black; 
	text-decoration: none; 
    cursor: pointer;
}

.dxeButtonEdit_Moderno .dxeEditArea_Moderno {
    background-color: transparent !important;
}

.EWS-date-picker {
    background-color: white;
}

.mandatory, .mandatory input,
/*input[type="text"].mandatory, input[type="password"].mandatory, textarea.mandatory, select.mandatory,*/
.mandatory .dxeEditArea_Moderno:not(.dxeDisabled_Moderno) {
    background-color: rgb(255, 255, 127);
}
 
textarea, input[type="text"], input[type="password"], input[type="file"], input[type="submit"], input[type="button"] {
    color: black;
    background-color: white;
    outline: none;
    appearance: none; 
    -moz-appearance: none; /* Firefox */ 
    -webkit-appearance: none; /* Safari and Chrome */ 
}

input[disabled="disabled"], textarea[disabled="disabled"], select[disabled="disabled"],
input[readonly="readonly"],
.dxeDisabled_Moderno  {
    color: gray;
    background-color: #EFEFEF !important;
    cursor: not-allowed;
    border-radius: 5px;
}

input[type="submit"], input[type="button"] {
    color: white;
    font-weight: bold;
    /*min-width: 60px;*/
    border-radius: 20px;
    background-color: #1279C0;
    padding-top: 7px;
    padding-bottom: 7px;
    padding-left: 15px;
    padding-right: 15px;
    border-width: 0px;
    box-shadow: 0 2px 1px rgba(0,0,0,0.1), 0 0 1px rgba(0,0,0,0.1);
    cursor: pointer;
}

input[type="submit"]:hover, input[type="button"]:hover {
    background-color: #1279C0;
}

input[type="submit"]:active, input[type="button"]:active {
    background-color: #0E467D; 
    box-shadow: 0 2px 1px rgba(0,0,0,0.3), 0 0 1px rgba(0,0,0,0.3);
    /*box-shadow: 0 2px 12px rgba(0, 0, 0, 0.34375);*/
}

input[type="submit"][disabled="disabled"], input[type="button"][disabled="disabled"],
input[type="submit"][disabled="disabled"]:hover, input[type="button"][disabled="disabled"]:hover,
input[type="submit"][disabled="disabled"]:active, input[type="button"][disabled="disabled"]:active {
    color: gray;
    background-color: lightgray !important;
    cursor: not-allowed;
}

input[type="text"], input[type="password"] {
    border-width: 1px;
    border-style: solid;
    border-color: gray;
    border-radius: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 10px;
    padding-right: 10px;
}

.checkbox-list {
    background-color: white;
    border-collapse: separate;
    border-width: 1px;
    border-style: solid;
    border-color: gray;
    border-radius: 5px;
}

.checkbox-list td {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 10px;
    padding-right: 10px;
}

.dxeButtonEdit_Moderno {
    border-width: 1px;
    border-style: solid;
    border-color: gray;
    border-radius: 5px;
}

textarea {
    border: 1px solid gray;
    padding: 5px;
    border-radius: 5px;
    height: 100px;
    width: 918px;
}

input[type="text"], input[type="password"], select,
.checkbox-list, .checkbox-list,
.dxeButtonEdit_Moderno {
    -webkit-transition: all 150ms ease;
    transition: all 150ms ease;
}

input[type="file"], textarea {
    -webkit-transition: box-shadow 150ms ease;
    transition: box-shadow 150ms ease;
}

input[type="text"]:not(.dxeEditArea_Moderno):focus, input[type="password"]:focus, /*input[type="file"]:focus,*/ textarea:focus, select:focus,
.checkbox-list:active, .checkbox-list:focus-within,
.dxeFocused_Moderno {
    border: 1px solid black;
    /*box-shadow: 0 2px 1px rgba(0,0,0,0.3), 0 0 1px rgba(0,0,0,0.3);*/
    box-shadow: 0 2px 12px rgba(0, 0, 0, 0.34375);
}

select {
    outline: none;
    font-size: 14px;
    border-width: 1px;
    border-style: solid;
    border-color: gray;
    border-radius: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 5px;
    padding-right: 5px;
}
